## org.eclipse.datatools.modelbase.dbdefinition.impl
Class StoredProcedureDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.StoredProcedureDefinitionImpl

All Implemented Interfaces:
  StoredProcedureDefinition

public class StoredProcedureDefinitionImpl
extends EObjectImpl
implements StoredProcedureDefinition

An implementation of the model object 'Stored Procedure Definition'.

The following features are implemented:

- `Null Input Action Supported`
- `Package Generation Supported`
- `Determininstic Supported`
- `Returned Null Supported`
- `Returned Type Declaration Constraint Supported`
- `Parameter Init Value Supported`
- `Parameter Style Supported`
- `Return Type Supported`
- `Parameter Declaration Constraint Supported`
- `Maximum Action Body Length`
- `Parameter Style`
- `Language Type`
- `Function Language Type`
- `Procedure Type`
- `Maximum Identifier Length`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getFunctionLanguageType()`
`EList` `getLanguageType()`
`int` `getMaximumActionBodyLength()`
`int` `getMaximumIdentifierLength()`
`EList` `getParameterStyle()`
`EList` `getProcedureType()`
`boolean` `isDetermininsticSupported()`
`boolean` `isNullInputActionSupported()`
`boolean` `isPackageGenerationSupported()`
`boolean` `isParameterDeclarationConstraintSupported()`
`boolean` `isParameterInitValueSupported()`
`boolean` `isParameterStyleSupported()`
`boolean` `isReturnedNullSupported()`
`boolean` `isReturnedTypeDeclarationConstraintSupported()`
`boolean` `isReturnTypeSupported()`
`void` `setDetermininsticSupported(boolean newDetermininsticSupported)`
`void` `setMaximumActionBodyLength(int newMaximumActionBodyLength)`
`void` `setMaximumIdentifierLength(int newMaximumIdentifierLength)`
`void` `setNullInputActionSupported(boolean newNullInputActionSupported)`
`void` `setPackageGenerationSupported(boolean newPackageGenerationSupported)`
`void` `setParameterDeclarationConstraintSupported(boolean newParameterDeclarationConstraintSupported)`
`void` `setParameterInitValueSupported(boolean newParameterInitValueSupported)`
`void` `setParameterStyleSupported(boolean newParameterStyleSupported)`
`void` `setReturnedNullSupported(boolean newReturnedNullSupported)`
`void` `setReturnedTypeDeclarationConstraintSupported(boolean newReturnedTypeDeclarationConstraintSupported)`
`void` `setReturnTypeSupported(boolean newReturnTypeSupported)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### isNullInputActionSupported

    public boolean isNullInputActionSupported()

  Specified by:
    `isNullInputActionSupported` in interface `StoredProcedureDefinition`
  Returns:
    the value of the 'Null Input Action Supported' attribute.
  See Also:
    `StoredProcedureDefinition.setNullInputActionSupported(boolean)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_NullInputActionSupported()`

### setNullInputActionSupported

    public void setNullInputActionSupported(boolean newNullInputActionSupported)

  Specified by:
    `setNullInputActionSupported` in interface `StoredProcedureDefinition`
  Parameters:
    `newNullInputActionSupported` - the new value of the 'Null Input Action Supported' attribute.
  See Also:
    `StoredProcedureDefinition.isNullInputActionSupported()`

### isPackageGenerationSupported

    public boolean isPackageGenerationSupported()

  Specified by:
    `isPackageGenerationSupported` in interface `StoredProcedureDefinition`
  Returns:
    the value of the 'Package Generation Supported' attribute.
  See Also:
    `StoredProcedureDefinition.setPackageGenerationSupported(boolean)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_PackageGenerationSupported()`

### setPackageGenerationSupported

    public void setPackageGenerationSupported(boolean newPackageGenerationSupported)

  Specified by:
    `setPackageGenerationSupported` in interface `StoredProcedureDefinition`
  Parameters:
    `newPackageGenerationSupported` - the new value of the 'Package Generation Supported' attribute.
  See Also:
    `StoredProcedureDefinition.isPackageGenerationSupported()`

### isDetermininsticSupported

    public boolean isDetermininsticSupported()

  Specified by:
    `isDetermininsticSupported` in interface `StoredProcedureDefinition`
  Returns:
    the value of the 'Determininstic Supported' attribute.
  See Also:
    `StoredProcedureDefinition.setDetermininsticSupported(boolean)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_DetermininsticSupported()`

### setDetermininsticSupported

    public void setDetermininsticSupported(boolean newDetermininsticSupported)

  Specified by:
    `setDetermininsticSupported` in interface `StoredProcedureDefinition`
  Parameters:
    `newDetermininsticSupported` - the new value of the 'Determininstic Supported' attribute.
  See Also:
    `StoredProcedureDefinition.isDetermininsticSupported()`

### isReturnedNullSupported

    public boolean isReturnedNullSupported()

  Specified by:
    `isReturnedNullSupported` in interface `StoredProcedureDefinition`
  Returns:
    the value of the 'Returned Null Supported' attribute.
  See Also:
    `StoredProcedureDefinition.setReturnedNullSupported(boolean)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_ReturnedNullSupported()`

### setReturnedNullSupported

    public void setReturnedNullSupported(boolean newReturnedNullSupported)

  Specified by:
    `setReturnedNullSupported` in interface `StoredProcedureDefinition`
  Parameters:
    `newReturnedNullSupported` - the new value of the 'Returned Null Supported' attribute.
  See Also:
    `StoredProcedureDefinition.isReturnedNullSupported()`

### isReturnedTypeDeclarationConstraintSupported

    public boolean isReturnedTypeDeclarationConstraintSupported()

  Specified by:
    `isReturnedTypeDeclarationConstraintSupported` in interface `StoredProcedureDefinition`
  Returns:
    the value of the 'Returned Type Declaration Constraint Supported' attribute.
  See Also:
    `StoredProcedureDefinition.setReturnedTypeDeclarationConstraintSupported(boolean)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_ReturnedTypeDeclarationConstraintSupported()`

### setReturnedTypeDeclarationConstraintSupported

    public void setReturnedTypeDeclarationConstraintSupported(boolean newReturnedTypeDeclarationConstraintSupported)

  Specified by:
    `setReturnedTypeDeclarationConstraintSupported` in interface `StoredProcedureDefinition`
  Parameters:
    `newReturnedTypeDeclarationConstraintSupported` - the new value of the 'Returned Type Declaration Constraint Supported' attribute.
  See Also:
    `StoredProcedureDefinition.isReturnedTypeDeclarationConstraintSupported()`

### isParameterInitValueSupported

    public boolean isParameterInitValueSupported()

  Specified by:
    `isParameterInitValueSupported` in interface `StoredProcedureDefinition`
  Returns:
    the value of the 'Parameter Init Value Supported' attribute.
  See Also:
    `StoredProcedureDefinition.setParameterInitValueSupported(boolean)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_ParameterInitValueSupported()`

### setParameterInitValueSupported

    public void setParameterInitValueSupported(boolean newParameterInitValueSupported)

  Specified by:
    `setParameterInitValueSupported` in interface `StoredProcedureDefinition`
  Parameters:
    `newParameterInitValueSupported` - the new value of the 'Parameter Init Value Supported' attribute.
  See Also:
    `StoredProcedureDefinition.isParameterInitValueSupported()`

### isParameterStyleSupported

    public boolean isParameterStyleSupported()

  Specified by:
    `isParameterStyleSupported` in interface `StoredProcedureDefinition`
  Returns:
    the value of the 'Parameter Style Supported' attribute.
  See Also:
    `StoredProcedureDefinition.setParameterStyleSupported(boolean)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_ParameterStyleSupported()`

### setParameterStyleSupported

    public void setParameterStyleSupported(boolean newParameterStyleSupported)

  Specified by:
    `setParameterStyleSupported` in interface `StoredProcedureDefinition`
  Parameters:
    `newParameterStyleSupported` - the new value of the 'Parameter Style Supported' attribute.
  See Also:
    `StoredProcedureDefinition.isParameterStyleSupported()`

### isReturnTypeSupported

    public boolean isReturnTypeSupported()

  Specified by:
    `isReturnTypeSupported` in interface `StoredProcedureDefinition`
  Returns:
    the value of the 'Return Type Supported' attribute.
  See Also:
    `StoredProcedureDefinition.setReturnTypeSupported(boolean)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_ReturnTypeSupported()`

### setReturnTypeSupported

    public void setReturnTypeSupported(boolean newReturnTypeSupported)

  Specified by:
    `setReturnTypeSupported` in interface `StoredProcedureDefinition`
  Parameters:
    `newReturnTypeSupported` - the new value of the 'Return Type Supported' attribute.
  See Also:
    `StoredProcedureDefinition.isReturnTypeSupported()`

### isParameterDeclarationConstraintSupported

    public boolean isParameterDeclarationConstraintSupported()

  Specified by:
    `isParameterDeclarationConstraintSupported` in interface `StoredProcedureDefinition`
  Returns:
    the value of the 'Parameter Declaration Constraint Supported' attribute.
  See Also:
    `StoredProcedureDefinition.setParameterDeclarationConstraintSupported(boolean)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_ParameterDeclarationConstraintSupported()`

### setParameterDeclarationConstraintSupported

    public void setParameterDeclarationConstraintSupported(boolean newParameterDeclarationConstraintSupported)

  Specified by:
    `setParameterDeclarationConstraintSupported` in interface `StoredProcedureDefinition`
  Parameters:
    `newParameterDeclarationConstraintSupported` - the new value of the 'Parameter Declaration Constraint Supported' attribute.
  See Also:
    `StoredProcedureDefinition.isParameterDeclarationConstraintSupported()`

### getMaximumActionBodyLength

    public int getMaximumActionBodyLength()

  Specified by:
    `getMaximumActionBodyLength` in interface `StoredProcedureDefinition`
  Returns:
    the value of the 'Maximum Action Body Length' attribute.
  See Also:
    `StoredProcedureDefinition.setMaximumActionBodyLength(int)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_MaximumActionBodyLength()`

### setMaximumActionBodyLength

    public void setMaximumActionBodyLength(int newMaximumActionBodyLength)

  Specified by:
    `setMaximumActionBodyLength` in interface `StoredProcedureDefinition`
  Parameters:
    `newMaximumActionBodyLength` - the new value of the 'Maximum Action Body Length' attribute.
  See Also:
    `StoredProcedureDefinition.getMaximumActionBodyLength()`

### getParameterStyle

    public EList getParameterStyle()

  Specified by:
    `getParameterStyle` in interface `StoredProcedureDefinition`
  Returns:
    the value of the 'Parameter Style' attribute list.
  See Also:
    `ParameterStyle`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_ParameterStyle()`

### getLanguageType

    public EList getLanguageType()

  Specified by:
    `getLanguageType` in interface `StoredProcedureDefinition`
  Returns:
    the value of the 'Language Type' attribute list.
  See Also:
    `LanguageType`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_LanguageType()`

### getFunctionLanguageType

    public EList getFunctionLanguageType()

  Specified by:
    `getFunctionLanguageType` in interface `StoredProcedureDefinition`
  Returns:
    the value of the 'Function Language Type' attribute list.
  See Also:
    `LanguageType`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_FunctionLanguageType()`

### getProcedureType

    public EList getProcedureType()

  Specified by:
    `getProcedureType` in interface `StoredProcedureDefinition`
  Returns:
    the value of the 'Procedure Type' attribute list.
  See Also:
    `ProcedureType`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_ProcedureType()`

### getMaximumIdentifierLength

    public int getMaximumIdentifierLength()

  Specified by:
    `getMaximumIdentifierLength` in interface `StoredProcedureDefinition`
  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `StoredProcedureDefinition.setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    public void setMaximumIdentifierLength(int newMaximumIdentifierLength)

  Specified by:
    `setMaximumIdentifierLength` in interface `StoredProcedureDefinition`
  Parameters:
    `newMaximumIdentifierLength` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `StoredProcedureDefinition.getMaximumIdentifierLength()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.